Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.profile
Class XercesProfileFactory

    java.lang.Object
      |
      +--jpos.profile.XercesProfileFactory

All Implemented Interfaces:
  ProfileFactory

public class XercesProfileFactory
extends java.lang.Object
implements ProfileFactory

Default implementation of the ProfileFactory interface uses the Apache Xerces XML parser to create profiles from the XML file passed

Since:
  1.3 (SF 2K meeting)
Author:
  E. Michael Maximilien (maxim@us.ibm.com)

Inner Class Summary
`(package private) class` | `XercesProfileFactory.DefaultErrorHandler` ErrorHandler inner class used to capture errors while parsing XML document

Field Summary
`static java.lang.String` | `PROFILE_DTD_FILE_NAME`
`static java.lang.String` | `PROFILE_DTD_FILE_PATH`

Constructor Summary
`XercesProfileFactory()` Default ctor

Method Summary
`Profile` | `createProfile(java.lang.String xmlProfileFileName)`
`(package private) Profile` | `load(java.lang.String xmlFileName)` Loads the Profile specified in the xmlFileName as a Profile object
`(package private) org.w3c.dom.Document` | `parse(java.lang.String xmlFileName)` Parses the XML file into a valid XML document for the profile DTD
`(package private) org.w3c.dom.Document` | `parseSchema(java.lang.String xmlFileName)` Parses the XML file into a valid XML document for the profile Schemas

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROFILE_DTD_FILE_NAME

    public static final java.lang.String PROFILE_DTD_FILE_NAME

### PROFILE_DTD_FILE_PATH

    public static final java.lang.String PROFILE_DTD_FILE_PATH

Constructor Detail

### XercesProfileFactory

    public XercesProfileFactory()

  Default ctor

Method Detail

### parse

    org.w3c.dom.Document parse(java.lang.String xmlFileName)
                         throws ProfileException

  Parses the XML file into a valid XML document for the profile DTD
  Parameters:
    `xmlFileName` - the XML file name
  Throws:
    `ProfileException` - if the XML file could not be parsed

### parseSchema

    org.w3c.dom.Document parseSchema(java.lang.String xmlFileName)
                               throws ProfileException

  Parses the XML file into a valid XML document for the profile Schemas
  Parameters:
    `xmlFileName` - the XML file name
  Throws:
    `ProfileException` - if the XML file could not be parsed

### load

    Profile load(java.lang.String xmlFileName)
           throws ProfileException

  Loads the Profile specified in the xmlFileName as a Profile object
  Parameters:
    `xmlFileName` - the XML file name
  Throws:
    `ProfileException` - if the XML file could not be parsed and the profile created

### createProfile

    public Profile createProfile(java.lang.String xmlProfileFileName)
                          throws ProfileException

  Specified by:
    `createProfile` in interface `ProfileFactory`
  Parameters:
    `xmlProfileFile` - the XML profile file
  Returns:
    a Profile object created parsing the XML file provided
  Throws:
    `ProfileException` - if there is an error loading the profile

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details